
QGIS Application - Feature request #1841

horizontal legends

2009-07-31 07:30 AM - dassouki -

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 11901

Description

i was wondering if it's possible to add a horizontal capability for the legend in print composer

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-08-21 03:07 PM - stefano campus

is this feature goingo to be added?

#4 - 2012-08-22 01:41 AM - Giovanni Manghi

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

stefano campus wrote:

is this feature goingo to be added?

not sure if is in the roadmap. Anyway if someone is interested to support the development of a feature it should not be hard to implement.

#5 - 2012-08-22 02:19 AM - Regis Haubourg

Hi, 

I will support this soon (1 - 2 months )  if nobody takes it before.. Please tell me , 

Régis

#6 - 2012-08-22 03:07 PM - stefano campus

thank you, regis. i think that this feature would be very veru useful...

#7 - 2012-09-06 05:24 AM - Radim Blazek
Do you mean multiple columns legend with optional number of columns or just legend items in a single line?

#8 - 2012-09-06 11:59 AM - Giovanni Manghi

- Status info deleted (0)

- Operating System deleted (All)

- Status changed from Open to Feedback

#9 - 2012-09-07 03:51 PM - stefano campus

i think it could be useful to set how many columns the legend should have, mantaining together all elements of each layer

#10 - 2012-10-04 07:01 AM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2012-11-13 07:19 AM - Radim Blazek

Multi column support was added (legend Item properties > General > Column count).

Layers are not split, but it would be probably useful to implement optonal layer items splitting because multiple columns with different heights may look

bad.

Division of layers to columns is interesting optimization problem BTW, sort of bin packing problem.

Not yet closing because it needs testing and code cleanup.

#13 - 2012-11-19 04:55 AM - Andreas Neumann

Hi,

Thanks for this.

The problem with the width too small when having only one column seems to be fixed now.

I also think that the application did not crash, but it just takes too long for many layers/entries and I was impatient and killed QGIS after a certain time.

Typically, when going beyond 4-6 columns it takes a very long time.

I have a few other suggestions/questions:

    -  splitting single layers into multiple columns would be definitely a plus - often some layers have a lot of entries, and some only one or two

    -  it would be great if we could control the spacing between the columns

    -  for some purposes it would look good if all columns would be of the same widths - determined by the longest overall entry

The first two bullet items would be great, the third is more a nice to have.

Thanks again for your work!
Andreas

#14 - 2012-11-21 04:45 AM - Radim Blazek

Significantly rewritten in commit:86c21184:

    -  division of layers into columns is using simple heuristic so that it is always fast but it may result in suboptimal combination

    -  new option to allow splitting of layers into multiple columns

    -  new option to use equal width for all columns

It seems to work but the last commit is significant code changes so I am leaving the issue open for now. Please test and report both positive and negative

results.

#15 - 2012-11-21 05:02 AM - Radim Blazek

Also space between columns is now optional in commit:e029bc7

#16 - 2013-07-26 01:23 PM - Louis-Pierre Beaudry

I am totally new to QGIS, and although it seems that this issue was solved, I don't see it in the 1.8.0 versio nof QGIS. I saw references to new files, but as a

newbie I must admit that where I must put these files is not evident. I didn't know what the keywords were to describe these files, so I thought I could ask

here, even though it is not technically related to the initial issue.

If someone could explain me what I am supposed to do to get these options, it would help me a lot.

#17 - 2013-07-27 12:36 AM - Radim Blazek

- Status changed from Open to Closed

- Resolution set to fixed

This was implemented in 1.9 and it won't be backported to 1.8.
